Create Customer
curl --request POST \
--url https://api.example.com/merchant/customer/createimport requests
url = "https://api.example.com/merchant/customer/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/customer/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 400,
"code": "DUPLICATE_ENTRY",
"message": "Customer with this email already exists"
},
"data": null
}
Customers
Create Customer
Create a new customer
POST
/
merchant
/
customer
/
create
Create Customer
Create a new customer for payment processing.
string
required
Customer email address
object
Additional customer metadata
boolean
Indicates if the request was successful
string
Customer ID
string
Customer email
object
Customer metadata
string
Creation timestamp
Example Request
curl -X POST https://api.transaction.gg/merchant/customer/create \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"metadata": {
"name": "John Doe",
"phone": "+1234567890"
}
}'
Example Response
{
"success": true,
"data": {
"id": "cus_V6n6SN2KnsIFCuQU",
"email": "customer@example.com",
"metadata": {
"name": "John Doe",
"phone": "+1234567890"
},
"createdAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 400,
"code": "DUPLICATE_ENTRY",
"message": "Customer with this email already exists"
},
"data": null
}
⌘I